#include<bits/stdc++.h>
using namespace std;
bool b[500001];
int main(){
    for(int i=1; i<707; i++){
        b[i*i]=true;
    }
    int n, a;
    cin>>n;
    bool b2;
    for(int i=0; i<n; i++){
        cin>>a;
        b2=false;
        for(int j=0; j<a;j++){
            if(b[j]==true&&b[a-j]==true){
                b2=true;
                break;
            }
        }
        if(b2==true){
            cout<<"1";
        }
        else{
            cout<<"0";
        }
    }
    return 0;
}
